Multivariate Pattern Analysis in Python

# mvpa2.clfs.stats.AdaptiveNullDist

class `mvpa2.clfs.stats.``AdaptiveNullDist`(dist, **kwargs)

  Adaptive distribution which adjusts parameters according to the data

  WiP: internal implementation might change

  Attributes

  `descr` | Description of the object if any
  `tail` |

  Methods

  `cdf`(x) | Return value of the cumulative distribution function at `x`.
  `dists`() | Implementations returns a sequence of the `dist_class` instances that were used to fit the distribution.
  `fit`(measure, wdata[, vdata]) | Cares about dimensionality of the feature space in measure
  `p`(x[, return_tails]) | Returns the p-value for values of `x`.
  `rcdf`(x) | Implementations return the value of the reverse cumulative distribution function.
  `reset`() |

  Parameters:

  dist : distribution object

  > This can be any object the has a `cdf()` method to report the cumulative distribition function values.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  tail : {‘left’, ‘right’, ‘any’, ‘both’}

  > Which tail of the distribution to report. For ‘any’ and ‘both’ it chooses the tail it belongs to based on the comparison to p=0.5. In the case of ‘any’ significance is taken like in a one-tailed test.

  descr : str

  > Description of the instance

  Attributes

  `descr` | Description of the object if any
  `tail` |

  Methods

  `cdf`(x) | Return value of the cumulative distribution function at `x`.
  `dists`() | Implementations returns a sequence of the `dist_class` instances that were used to fit the distribution.
  `fit`(measure, wdata[, vdata]) | Cares about dimensionality of the feature space in measure
  `p`(x[, return_tails]) | Returns the p-value for values of `x`.
  `rcdf`(x) | Implementations return the value of the reverse cumulative distribution function.
  `reset`() |

  `fit`(measure, wdata, vdata=None)

    Cares about dimensionality of the feature space in measure